package com.google.android.demo;

import android.graphics.Canvas;
import android.graphics.drawable.Drawable;

import com.google.android.maps.Overlay;
import com.google.android.maps.Point;

public class PointOverlay extends Overlay {
	private int d_height;
	private int d_width;
	private Drawable drawable;
	private Point[] points;

	public PointOverlay(Point[] points, Drawable drawable) {
		this.points = points;
		this.drawable = drawable;
		this.d_width = drawable.getIntrinsicWidth();
		this.d_height = drawable.getIntrinsicHeight();
	}

	@Override
	public void draw(Canvas canvas, PixelCalculator calc, boolean shadow) {
		if (shadow)
			return;
		int[] xy = new int[2];
		for (int i = 0; i < points.length; ++i) {
			if (points[i] == null)
				continue;
			calc.getPointXY(points[i], xy);
			drawable.setBounds(xy[0] - d_width / 2, xy[1] - d_height, xy[0]
					+ d_width / 2, xy[1]);
			drawable.draw(canvas);
		}
	}
}
